#include "aled.h"  // Indoor Corgi アドレサブルRGB LED制御ライブラリを使用

// アドレサブルRGB制御用のALEDクラスを使う
//  デフォルトは全チャネルに同じデータを送信
//  チャネル1と3だけの場合は CH1|CH3 のようにする
//  LED数は使うデバイスに合わせる
ALED aled(CH1 | CH2 | CH3 | CH4 | CH5, 34);

void setup() {
  // 使うピンを出力に設定
  pinMode(14, OUTPUT);  // チャネル1 Pin14, PC0
  pinMode(15, OUTPUT);  // チャネル2 Pin15, PC1
  pinMode(16, OUTPUT);  // チャネル3 Pin16, PC2
  pinMode(17, OUTPUT);  // チャネル4 Pin17, PC3
  pinMode(18, OUTPUT);  // チャネル5 Pin18, PC4
  pinMode(8, OUTPUT);   // LED
}

void loop() {
  // 1色の模様のデモ
  aled.pattern = ALED::patSingle;  // 1色の模様を選択

  // 表示する模様の基準の色を指定する
  aled.color.hue = 0.0f;
  aled.color.sat = 100.0f;
  aled.color.val = 100.0f;

  aled.draw();  // 模様を描写する

  delay(3000);  // 3000ミリ秒(3秒)待機

  // 表示する模様の基準の色を指定する
  aled.color.hue = 180.0f;
  aled.color.sat = 80.0f;
  aled.color.val = 100.0f;

  aled.draw();  // 模様を描写する

  delay(3000);  // 3000ミリ秒(3秒)待機

  // 表示する模様の基準の色を指定する
  aled.color.hue = 0.0f;
  aled.color.sat = 0.0f;
  aled.color.val = 100.0f;

  aled.draw();  // 模様を描写する

  delay(3000);  // 3000ミリ秒(3秒)待機

  // 表示する模様の基準の色を指定する
  aled.color.hue = 0.0f;
  aled.color.sat = 0.0f;
  aled.color.val = 0.0f;

  aled.draw();  // 模様を描写する

  delay(3000);  // 3000ミリ秒(3秒)待機
}
